Fetch Address
Introduction
This API provides a range of utilities for Signzy patrons to enhance their experience with our platform. The API allows you to programmatically access and interact with various services provided by Signzy, such as fetching addresses, updating KYC details, and more.
How to call the API
You will need to log in before sending the request. You are required to pass the access token received from the login call, as the authorization header in the request.
API Input Guidelines
Make sure you replace ..your-patron-id.. in the URL with the patronId that you receive from the login call and also make sure you pass in all the necessary input parameters in the correct format.
Sample cURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../globalutilities' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "fetchAddress",
"essentials": {
"providerId": "...providerId...",
"requiredFields": {
"username": "...username...",
"password": "...password..."
},
"callbackUrl": "...callbackUrl..."
}
}'
Parameter | Type | Description |
|---|---|---|
task | string | The task to be performed by the API. For this API call, it should be set to fetchAddress. |
providerId | string | The ID of the provider for which to fetch the address. |
requiredFields | object | An object containing the login credentials for the provider. This should include the username and password fields. |
callbackUrl | string | A callback URL to receive notifications when the task is complete. This is an optional parameter. |
Sample API Response
{
"result": {
"requestId": "..requestId..",
"callbackUrl": "..callbackUrl..",
"status": "..status..",
"detail": "..detail.."
}
}Parameter | Type | Description |
|---|---|---|
requestId | string | A unique identifier for the API request. |
callbackUrl | string | The callback URL provided in the input parameters. |
status | string | The status of the API request. Possible values are SUCCESS, FAILURE, or PENDING. |
detail | string | Additional information about the API request, such as an error message if the status is FAILURE. |
Error Parameter
PARAMETER NAME | DESCRIPTION |
|---|---|
error | This parameter contains the error. |
error.statusCode | Request Status code from Signzy |
error.name | the name of the error |
error.message | the error message |
type | type of the error |

CODE | DESCRIPTION | INTERPRETATION |
|---|---|---|
400 | Bad Request | Input Parameter has a missing required parameter or not a valid one. |
401 | Authorization Failed | Authorization token is invalid. |
500 | Internal Server Error | Internal error at Signzy, please contact support. |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].